local L = AceLibrary("AceLocale-2.2"):new("Baggins")

L:RegisterTranslations("enUS", function()
	return {
		["Baggins"] = true,
		["Toggle All Bags"] = true,
		["Columns"] = true,
		["Number of Columns shown in the bag frames"] = true,
		["Layout"] = true,
		["Layout of the bag frames."] = true,
		["Automatic"] = true,
		["Automatically arrange the bag frames as the default ui does"] = true,
		["Manual"] = true,
		["Each bag frame can be positioned manually."] = true,
		["Show Section Title"] = true,
		["Show a title on each section of the bags"] = true,
		["Sort"] = true,
		["How items are sorted"] = true,
		["Quality"] = true,
		["Items are sorted by quality."] = true,
		["Name"] = true,
		["Items are sorted by name."] = true,
		["Hide Empty Sections"] = true,
		["Hide sections that have no items in them."] = true,
		["FuBar Text"] = true,
		["Options for the text shown on fubar"] = true,
		["Include Specialty Bags in Count"] = true,
		["Include specialty bags in the used/total count"] = true,
		["Include Ammo Bags in Count"] = true,
		["Include ammo bags in the used/total count"] = true,
		["Include Soul Bags in Count"] = true, 
		["Include soul bags in the used/total count"] = true,
		
		--bagtypes
		["Backpack"] = true,
		["Bag1"] = true,
		["Bag2"] = true,
		["Bag3"] = true,
		["Bag4"] = true,
		["Bank Frame"] = true,
		["Bank Bag1"] = true,
		["Bank Bag2"] = true,
		["Bank Bag3"] = true,
		["Bank Bag4"] = true,
		["Bank Bag5"] = true,
		["Bank Bag6"] = true,
		["Bank Bag7"] = true,
		["KeyRing"] = true,
		
		--qualoty names
		["Poor"] = true,
		["Common"] = true,
		["Uncommon"] = true,
		["Rare"] = true,
		["Epic"] = true,
		["Legendary"] = true,
		["Artifact"] = true,
		
		--itemtypes, these must match the Type and SubType returns from GetItemInfo for the ItemType rule to work
		["Armor"] = true,
			["Cloth"] = true,
			["Idols"] = true,
			["Leather"] = true,
			["Librams"] = true,
			["Mail"] = true,
			["Miscellaneous"] = true,
			["Shields"] = true,
			["Totems"] = true,
			["Plate"] = true,
		["Consumable"] = true,
		["Container"] = true,
			["Bag"] = true,
			["Enchanting Bag"] = true,
			["Engineering Bag"] = true,
			["Herb Bag"] = true,
			["Soul Bag"] = true,
		["Key"] = true,
		["Miscellaneous"] = true,
			["Junk"] = true,
		["Reagent"] = true,
		["Recipe"] = true,
			["Alchemy"] = true,
			["Blacksmithing"] = true,
			["Book"] = true,
			["Cooking"] = true,
			["Enchanting"] = true,
			["Engineering"] = true,
			["First Aid"] = true,
			["Leatherworking"] = true,
			["Tailoring"] = true,
		["Projectile"] = true,
			["Arrow"] = true,
			["Bullet"] = true,
		["Quest"] = true,
		["Quiver"] = true,
			["Ammo Pouch"] = true,
			["Quiver"] = true,
		["Trade Goods"] = true,
			["Devices"] = true,
			["Explosives"] = true,
			["Parts"] = true,
		["Weapon"] = true,
			["Bows"] = true,
			["Crossbows"] = true,
			["Daggers"] = true,
			["Guns"] = true,
			["Fishing Pole"] = true,
			["Fist Weapons"] = true,
			["Miscellaneous"] = true,
			["One-Handed Axes"] = true,
			["One-Handed Maces"] = true,
			["One-Handed Swords"] = true,
			["Polearms"] = true,
			["Staves"] = true,
			["Thrown"] = true,
			["Two-Handed Axes"] = true,
			["Two-Handed Maces"] = true,
			["Two-Handed Swords"] = true,
			["Wands"] = true,
			
		--rules
		["None"] = true,
		["All"] = true,
		
		["Item Type"] = true,
		["Filter by Item type and sub-type as returned by GetItemInfo"] = true,
		["ItemType - "] = true,
		["Item Type Options"] = true,
		["Item Subtype"] = true,

		["Container Type"] = true,
		["Filter by the type of container the item is in."] = true,
		["Container : "] = true,
		["Container Type Options"] = true,

		["Item ID"] = true,
		["Filter by ItemID, this can be a space delimited list or ids to match."] = true,
		["ItemIDs "] = true,
		["ItemID Options"] = true,
		["Item IDs (space seperated list)"] = true,
		
		["Filter by the bag the item is in"] = true,
		["Bag "] = true,
		["Bag Options"] = true,
		["Ignore Empty Slots"] = true,
		
		
	}
end)